10.1 aktualisieren von software

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
lickit
Newbie
Newbie
Beiträge: 4
Registriert: 26. Mai 2006, 11:36

10.1 aktualisieren von software

Beitrag von lickit » 27. Mai 2006, 12:53

hi

wollte grad die ersten software updates starten, werde jedoch draufhingewiesen, dass ich nicht die erforderlichen rechte dazu beitzen würde.

wie kann ich mich denn da als root identifizieren?


thx fürs feedback

markus

Werbung:
Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 27. Mai 2006, 13:02

Mit welchem Programm möchtest du das machen? Wenn du yast über das Menü startest, wirst du automatisch nach dem root-Passwort gefragt. Wenn du apt/smart/sonstiges benutzt, dann geht es folgendermaßen:

In der Konsole:

Code: Alles auswählen

su
<Passwort blind eingeben>
Unter kde:

Code: Alles auswählen

Alt+F2
kdesu programmname

lickit
Newbie
Newbie
Beiträge: 4
Registriert: 26. Mai 2006, 11:36

Beitrag von lickit » 27. Mai 2006, 13:34

naja keine ahnung welches progi da gestartet wird.

beim 10.0 wars ja der susewatcher.


edit:

aha das ist anscheinend neu der zen-updater.

ok ich guck dann ma.

danke dir

Calvin
Hacker
Hacker
Beiträge: 285
Registriert: 8. Mai 2004, 00:19

Beitrag von Calvin » 27. Mai 2006, 13:40

susewatcher? Keine Ahnung. Das habe ich gleich am Anfang abgeschaltet. Ich kann also nur helfen, indem ich dir Alternativen vorschlage. Yast/You hakt unter SuSE10.1 wohl noch ein bißchen. apt und smart sind IMHO am bequemsten.

lickit
Newbie
Newbie
Beiträge: 4
Registriert: 26. Mai 2006, 11:36

Beitrag von lickit » 27. Mai 2006, 13:48

hmm...jo das apt gibts noch nicht fürs 10.1.

aber ich guck denn ma. hab den prozess nun als root gestartet.

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8744
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 27. Mai 2006, 13:53

lickit hat geschrieben:hmm...jo das apt gibts noch nicht fürs 10.1.
Stimmt nicht:
http://ftp4.gwdg.de/pub/linux/suse/apt/ ... 4.i586.rpm
http://ftp4.gwdg.de/pub/linux/suse/apt/ ... 4.i586.rpm
;)
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Benutzeravatar
DeGon
Newbie
Newbie
Beiträge: 14
Registriert: 9. Mär 2006, 19:38

Beitrag von DeGon » 27. Mai 2006, 15:01

Eine Forumssuche zur Rechteverwaltung des ZEN-Updaters hätte Dich zu diesem Thread geführt:

http://www.linux-club.de/ftopic60273-s10.html#350099
Suse 10.1 x86_64 - Gigabyte K8N Pro-SLI - AMD 4400 X2 64bit - Nvidia GeForce 6600 - 2Gb RAM - 2 Monitore

lickit
Newbie
Newbie
Beiträge: 4
Registriert: 26. Mai 2006, 11:36

Beitrag von lickit » 27. Mai 2006, 18:36

die apt ist aber nicht effektiv fürs 10.1. das ist die rpm vom 10.0 die anscheinend in den meisten fällen auch bei 10.1 funktionieren soll.

und jo bezgl. des anderen threads. das weiss ich doch....nur funktioniert das in der praxis nicht so wies in der theorie erklärt wird.... :wink:

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 27. Mai 2006, 18:59

die apt ist aber nicht effektiv fürs 10.1. das ist die rpm vom 10.0 die anscheinend in den meisten fällen auch bei 10.1 funktionieren soll.
???
Das von admine verlinkte apt ist für die 10.1 und funktioniert einwandfrei. Was meinst du bitte genau?
"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

cero
Moderator
Moderator
Beiträge: 2292
Registriert: 5. Mai 2004, 20:33
Wohnort: nähe Buchholz i.d.N.

Beitrag von cero » 27. Mai 2006, 19:01

Grothesk hat geschrieben:Was meinst du bitte genau?
Schön, dass es nicht nur mir so geht.
Wissen, was man weiß,
und wissen, was man nicht weiß,
das ist wahres Wissen.
(Konfuzius)


"Auf der dunklen Seite gibt es keine Kekse, Luke! Bleib lieber hier!" - Obi-Wan Kenobi

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8744
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 27. Mai 2006, 19:20

Grothesk hat geschrieben: Das von admine verlinkte apt ist für die 10.1 und funktioniert einwandfrei.
FULL ACK ;)
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast